Subject: WG Action: Seamless Mobility (seamoby)

From: The IESG <[email-masked]>
Date: Sat, 18 Nov 2000 12:29:42 -0500

A new working group has been formed in the Transport Area of the IETF.
For additional information, contact the Area Directors
or the WG Chair.

Seamless Mobility (seamoby)
---------------------------
 
 Charter 
 Last Modified: 18-Nov-00
 
 Current Status: Active Working Group
 
 Chair(s):
     Pat Calhoun <[email-masked]>
     Phillip Neumiller <[email-masked]>
 
 Transport Area Director(s): 
     Scott Bradner  <[email-masked]>
     Allison Mankin  <[email-masked]>
 
 Transport Area Advisor: 
     Scott Bradner  <[email-masked]>
 Technical Advisor(s):
     David Oran  <[email-masked]>
 
 Mailing Lists: 
     General Discussion:[email-masked]
     To Subscribe:      [email-masked]
         In Body:       (un)subscribe seamoby your_e-mail_address
     Archive:           http://www.diameter.org/cgi-bin/lwgate/seamoby/
 
Description of Working Group:
 
History

During the recent fast handoff discussions within the Mobile IP WG, a
need for a new protocol was identified that would allow state
information to be transferred between edge devices (e.g. Foreign
Agents). Examples of state information that needs to be transferred is
AAA information, security context, QOS properties assigned to the user,
Robust Header Compression information, etc.

The proposed SeaMoby WG will take over the routing protocols that are
no longer within the Mobile IP WG's charter, and it will develop the
new protocol used to transfer state information between edge devices.
It will be in the Transport Area even though it includes routing
protocols, because these routing protocols for micro-mobility have
close association with end-to-end performance.

Some of the 3G SDOs are hoping that the IETF will be able to provide a
set of protocols that will enable them to provide real-time services
over an IP infrastructure, and, along with Mobile IP, SeaMoby is
expected to provide such protocols. It is expected that the 3G
organizations will provide their input into the WG during the
requirements gathering and protocol design phase.

Description

There are a large number of IP access networks that support mobility of
hosts. For example, wireless Personal Area Networks (PANs) and LANs,
satellite and cellular WANs. The nature of this roaming is such that
the communication path to the host changes frequently, and rapidly. In
many situations, the change of communications path includes a change in
communications media between the host and access networking, including
changes from a wireless to a wired connection.

To support these changes, there is a need for support in the access
network to actively re-direct the IP packet flows, while preserving the
context of all active IP flows. The IP flow context includes, but is
not limited to security context, policy, QOS, congestion
indication/management, header compression and accounting.

The SeaMoby Working Group will develop a protocol to provide fast
mobility within an access network, and thereby reduce the latency of
the data/traffic flow to/from the mobile node. By improving the
performance of intra-domain handoffs, the protocol will also help the
overall latency of traffic using multiple, heterogeneous network access
infrastructures.  The protocol will provide "micro-mobility", where
specialized signalling is used in an Administrative Domain to support
the movement of IP nodes across IP subnets.

The SeaMoby Working group will also analyze the requirements and
tradeoffs for the goal of transferring context information from a
mobile's old access to the new access point (versus accessing needed
context over a distance).

Depending on the results of the requirements analysis, the SeaMoby
Working Group will develop a protocol to transfer the context
information for a session.  The context information to be transferred
includes QOS, header compression state, policy, security context,
congestion management state, AAA information, etc. Transferring context
state is expected to provide a more robust handoff to the user, and
applications.  Quality of service (QOS) state may include both diffserv
and intserv information, as needed.

Lastly, the Working Group will investigate the use of paging at the IP
layer in networks, and if it is deemed necessary, a protocol will be
developed to tackle this problem. IP paging is typically used in
micro-mobility protocols to quickly track a mobile that has moved from
its previously known point of attachment, while in dormant mode. IP
paging is not the application (e.g. it is not simply a robust form of
instant messaging, but rather it is the protocol for fast setup of a
routing path to a mobile that may be triggered by an application
message for that mobile.

All work produced by the Working Group will support both IPv4 and IPv6,
will be congestion friendly, and will undergo a security review prior
to WG last call.

The Working Group will coordinate closely with the aaa, cnrp, impp,
mobileip, pilc, and rohc working groups.
 
 Goals and Milestones: 
 
   Nov 00       Submit I-D on Layer 3 Paging Requirements & Needs assesment    

   Jan 01       Submit Micro-Mobility Requirements I-D to IESG for 
                consideration as Informational                                 

   Jan 01       Submit requirements analysis for Inter Access Point Context 
                Transfer Protocol to IESG for consideration as Informational   

   Feb 01       Candidate Micro-Mobility Protocols are submitted, with 
                accompanying comparison against requirements                   

   Mar 01       Submit revised charter to IESG with any changes needed 
                especially with respect to the micro-mobility evaluation       

   Mar 01       Submit Inter Access Point Context Transfer Protocol MIB to IESG
                for consideration as a Proposed Standard                       

   Mar 01       Submit Inter Access Point Context Transfer Protocol MIB to IESG
                for consideration as Proposed Standard                         

   Apr 01       IP Paging Protocol as Proposed Standard (if needed)            

   May 01       Selection of one (or convergence of many) Micro-Mobility 
                Protocol                                                       

   Jun 01       IP Paging Protocol MIB as Proposed Standard (if needed)        

   Aug 01       Micro-Mobility Protocol as Proposed Standard                   

   Oct 01       Micro-Mobility Protocol MIB as Proposed Standard